Purchase a credit pack
Purchase a credit pack for a customer. Immediate purchases return the added credits and new balance; otherwise a checkout URL is returned.
Authorization
bearerAuth Request Body
application/json
customer*string
pack*string
quantity?integer
Default
1Range
1 <= valuecurrency?string
Length
3 <= lengthmetadata?
callbackUrl?string
Format
uriResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.owostack.com/v1/addon" \ -H "Content-Type: application/json" \ -d '{ "customer": "string", "pack": "string" }'{
"success": true,
"requiresCheckout": true,
"checkoutUrl": "http://example.com",
"quantity": 0,
"credits": 0,
"message": "string",
"property1": null,
"property2": null
}{
"success": true,
"error": "string",
"code": "string",
"message": "string",
"property1": null,
"property2": null
}{
"success": true,
"error": "string",
"code": "string",
"message": "string",
"property1": null,
"property2": null
}{
"success": true,
"error": "string",
"code": "string",
"message": "string",
"property1": null,
"property2": null
}{
"success": true,
"error": "string",
"code": "string",
"message": "string",
"property1": null,
"property2": null
}{
"success": true,
"error": "string",
"code": "string",
"message": "string",
"property1": null,
"property2": null
}